<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'Users' }) %>
<body>
    <%- include('partials/navbar.ejs') %>
    <main>
        <h1>Users</h1>
        <div id="container">
            <% users.forEach((user) => { %>
                <div id = "userId<%= user.userId %>">
                    <b>First Name:</b> <%= user.firstName %> <br>
                    <b>Last Name:</b> <%= user.lastName %> <br>
                    <b>Username:</b> <%= user.username %> <br>
                    <b>Email:</b> <%= user.email %> <br>
                    <b>Age:</b> <%= user.age %> <br>
                    <b>Telephone:</b> <%= user.telephone %> <br>
                    <% if (user.confirmed == 0) { %>
                        <input class='btn btn-success' onclick="confirmUser(event, '<%= user.userId %>')" type='button' value='Confirm'>
                    <% } else{ %>
                        <input class='btn btn-danger' onclick="blockUser(event, '<%= user.userId %>')" type='button' value='Block'> 
                    <% } %>
                </div>
                <br>
                <br>
            <% }) %>
        </div>
    </main>
    <script src="/confirm.js"></script>
</body>
</html>